/*
   Name: $RCSfile: mod_xslt.h,v $
   Author: Alan Moran
   $Date: 2005/09/16 21:31:54 $
   $Revision: 1.1 $
   $Id: mod_xslt.h,v 1.1 2005/09/16 21:31:54 a_j_moran Exp $

   Description:
   Function prototypes and macros to support the xslt module.

   Legal Notice:

   This program is free software; you can redistribute it and/or
   modify it under the terms of the license contained in the
   COPYING file that comes with this distribution.

 */

#ifndef INCLUDE_MOD_XSLT_H
#define INCLUDE_MOD_XSLT_H

BEGIN_C_DECLS

#ifndef XSLT_FILE
#define XSLT_FILE "rapple.xsl"
#endif

#define RPL_TRF_UNWANTED_NS "xmlns:v=\"urn:schemas-microsoft-com:vml\"\
                             xmlns:o=\"urn:schemas-microsoft-com:office:office\"\
                             xmlns:w=\"urn:schemas-microsoft-com:office:word\""

#define RPL_TRF_HTML_SRCH "<html"

#define RPL_TRF_SABLOT_DATA "data"
#define RPL_TRF_SABLOT_XSLT "sheet"
#define RPL_TRF_SABLOT_ARG_OUT "arg:/out"
#define RPL_TRF_SABLOT_ARG_DATA "arg:/data"
#define RPL_TRF_SABLOT_ARG_XSLT "arg:/sheet"

void 				rpl_mod_xslt_configure(rpl_mod_fns *fns);
rpl_wk_status 		rpl_mod_xslt_init(void);
rpl_wk_status 		rpl_mod_xslt_process(rpl_c_str_t filename, struct stat statbuf);
rpl_wk_status 		rpl_mod_xslt_cleanup(void);

END_C_DECLS

#endif
